[@ui.bambooSection title='Repository Configuration']
    [@ww.select
        name='custom.repository.accurev.mode'
        label='Mode'
        toggle='true'
        required='true'
        list=r'#{"stream":"Stream","workspace":"Workspace"}'
        description='Specifies plug-in work mode to detect changes and get sources. See documentation for details.'
    /]
    [@ui.bambooSection dependsOn='custom.repository.accurev.mode' showOn='stream']
        [@ww.textfield
            name='custom.repository.accurev.stream'
            label='Stream/Snapshot'
            required='true'
            description='Snapshot, stream or workspace stream name to track and retrieve sources from repository.'
        /]
    [/@ui.bambooSection]
    [@ui.bambooSection dependsOn='custom.repository.accurev.mode' showOn='workspace']
        [@ww.textfield
            name='custom.repository.accurev.workspace'
            label='Workspace/RefTree'
            required='true'
            description='Workspace or reference tree name to track and retrieve sources from repository.'
        /]
        [@ww.textfield
            name='custom.repository.accurev.symlink'
            label='Symlink'
            description='Symlink name that plug-in will create to point to the real workspace location (NOT supported for Windows).'
        /]
        [@ww.checkbox
            name='custom.repository.accurev.disableUpdate'
            label='Disable Update'
            toggle='true'
            description='Disable all update actions before sources retrieval (useful to debug build issues).'
        /]
    [/@ui.bambooSection]
[/@ui.bambooSection]


[@ui.bambooSection title='Change Comments']
    [@ww.checkbox
        name='custom.repository.accurev.comment.dateTime'
        label='Change Date and Time'
        toggle='true'
        description='If enabled then change date and time is added to the change comment to easily see it'
    /]
    [@ww.checkbox
        name='custom.repository.accurev.comment.transaction'
        label='Transaction #'
        toggle='true'
        description='If enabled then transaction number is added to to the change comment'
    /]
    [@ww.checkbox
        name='custom.repository.accurev.comment.stream'
        label='Stream Name'
        toggle='true'
        description='If enabled then stream name where change has happened is added to the change comment to easily see it'
    /]
    [@ww.checkbox
        name='custom.repository.accurev.comment.changeType'
        label='Change Type'
        toggle='true'
        description='If enabled then change type information is added to the change comment to easily see it'
    /]
    [@ww.checkbox
        name='custom.repository.accurev.comment.streamChange'
        label='Stream Change Details'
        toggle='true'
        description='If enabled then additional information about stream change is added to the change comment'
    /]
[/@ui.bambooSection]


[@ui.bambooSection title='Advanced Configuration']
    [@ww.textfield
        name='custom.repository.accurev.advanced.development'
        label='Development Options'
        required='false'
        description='Additional options to control internal or experimental features (i.e. test and debug), multiple options can be separated with semicolon ";".'
    /]
    [@ww.checkbox
            name='custom.repository.accurev.advanced.populateOnlySubDirectory'
            label='Populate only the sub directory'
            toggle='true'
            description='If enabled then only the specified directory is populated from the stream'
     /]
    [#if repository.isPopulateSubDirectoryOnly()]
        [@ww.hidden
            name="custom.repository.accurev.advanced.populateSubDirectoryPath" value="true"
        /]
        [@ww.textfield
        name='custom.repository.accurev.advanced.populateSubDirectoryPath'
        label='Sub Directory Path'
        required='false'
        description='Path of the sub directory in the stream to populate'
        /]
    [#else]
        [@ui.bambooSection dependsOn='custom.repository.accurev.advanced.populateOnlySubDirectory' showOn='true']
            [@ww.textfield
                name='custom.repository.accurev.advanced.populateSubDirectoryPath'
                label='Sub Directory Path'
                required='false'
                description='Path of the sub directory in the stream to populate'
            /]
        [/@ui.bambooSection]
    [/#if]
[/@ui.bambooSection]
